Skip to main content
GET
/
ncw
/
wallets
/
{walletId}
/
public_key_info
TypeScript
const response: Promise<FireblocksResponse<PublicKeyInformation>> = fireblocks.embeddedWallets.getPublicKeyInfoNcw(embeddedWalletsApiGetPublicKeyInfoNcwRequest);
{
  "algorithm": "MPC_ECDSA_SECP256K1",
  "derivationPath": [
    44,
    0,
    0,
    0,
    0
  ],
  "publicKey": "1044c36403c1802818b472398f546a43a0d91569d5583a6e807c3825b155c7bd"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-End-User-Wallet-Id
string<uuid>
required

Unique ID of the End-User wallet to the API request. Required for end-user wallet operations.

Path Parameters

walletId
string
required

The ID of the Non-Custodial wallet

Example:

"550e8400-e29b-41d4-a716-446655440000"

Query Parameters

derivationPath
string
required

An array of integers (passed as JSON stringified array) representing the full BIP44 derivation path of the requested public key. The first element must always be 44.

algorithm
enum<string>
required

Elliptic Curve

Available options:
MPC_ECDSA_SECP256K1,
MPC_ECDSA_SECP256R1,
MPC_EDDSA_ED25519
Example:

"MPC_EDDSA_ED25519"

compressed
boolean

Compressed/Uncompressed public key format

Example:

true

Response

Public key information

algorithm
enum<string>

Elliptic Curve

Available options:
MPC_ECDSA_SECP256K1,
MPC_ECDSA_SECP256R1,
MPC_EDDSA_ED25519
derivationPath
integer[]

BIP44 derivation path

Example:
[44, 0, 0, 0, 0]
publicKey
string

Compressed/Uncompressed public key value in hex representation

Example:

"1044c36403c1802818b472398f546a43a0d91569d5583a6e807c3825b155c7bd"